using Quartz;
using RMYY_CallCenter_Api.Utility;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace RMYY_CallCenter_Api.QuartzWorker
{
    public  class PushWorkorder: QuartzJob
    {

        string api = ConfigurationManager.AppSettings["AutoApi"];
        public PushWorkorder()
        {
            CronExpression = "0 0/5 * * * ?";
            DoWork += Push;
        }

        public void Push(object sender, EventArgs e)
        {

            WebClient web = new WebClient();
            web.Encoding = Encoding.UTF8;
            string Dataurl = web.DownloadString(api + "FaultRepair/Evaluate");
            string Dataur2 = web.DownloadString(api + "FaultRepair/Automatic");
            string Dataur3 = web.DownloadString(api + "T_Car_WorkOrder/Evaluate");
            string Dataur4 = web.DownloadString(api + "InternalMessages/DingTalkGetMessage");
            string Dataur5 = web.DownloadString(api + "FaultRepair/AutoSendOverTimeMsg");
            string  Dataur6 = web.DownloadString(api + "FaultRepair/AutoChangeDealMan");
            ///获取短信
            string Dataur7 = web.DownloadString(api + "SMS/GetSMSReceive");


        }
    }
}
